OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCDF
LDOM

# LDOM_XmlReader Class Reference

`#include <LDOM_XmlReader.hxx>`

## Public Types
enum | RecordType { XML_UNKNOWN, XML_HEADER, XML_DOCTYPE, XML_COMMENT, XML_START_ELEMENT, XML_END_ELEMENT, XML_FULL_ELEMENT, XML_TEXT, XML_CDATA, XML_EOF }
## Public Member Functions
| LDOM_XmlReader (const int aFileDes, const Handle(LDOM_MemManager)&aDocument, TCollection_AsciiString &anErrorString)
| LDOM_XmlReader (istream &anInput, const Handle(LDOM_MemManager)&aDocument, TCollection_AsciiString &anErrorString)
RecordType | ReadRecord (LDOM_OSStream &theData)
LDOM_BasicElement & | GetElement () const
## Static Public Member Functions
static Standard_Boolean | getInteger (LDOMBasicString &theValue, const char *theStart, const char *theEnd)
## Private Member Functions
| LDOM_XmlReader (const LDOM_XmlReader &theOther)
LDOM_XmlReader & | operator= (const LDOM_XmlReader &theOther)
| Handle (LDOM_MemManager) myDocument
## Private Attributes
Standard_Boolean | myEOF
int | myFileDes
istream & | myIStream
TCollection_AsciiString & | myError
LDOM_BasicElement * | myElement
const LDOM_BasicNode * | myLastChild
const char * | myPtr
const char * | myEndPtr
char | myBuffer [XML_BUFFER_SIZE+4]

## Member Enumeration Documentation

enum LDOM_XmlReader::RecordType

  | Enumeration values:
  XML_UNKNOWN |
  XML_HEADER |
  XML_DOCTYPE |
  XML_COMMENT |
  XML_START_ELEMENT |
  XML_END_ELEMENT |
  XML_FULL_ELEMENT |
  XML_TEXT |
  XML_CDATA |
  XML_EOF |

## Constructor & Destructor Documentation

LDOM_XmlReader::LDOM_XmlReader | ( | const int | aFileDes,
|  | const Handle(LDOM_MemManager)& | aDocument,
|  | TCollection_AsciiString & | anErrorString
| ) |

LDOM_XmlReader::LDOM_XmlReader | ( | istream & | anInput,
|  | const Handle(LDOM_MemManager)& | aDocument,
|  | TCollection_AsciiString & | anErrorString
| ) |

LDOM_XmlReader::LDOM_XmlReader | ( | const LDOM_XmlReader & | theOther | ) | `[private]`

## Member Function Documentation

LDOM_BasicElement& LDOM_XmlReader::GetElement | ( |  | ) | const`[inline]`

static Standard_Boolean LDOM_XmlReader::getInteger | ( | LDOMBasicString & | theValue,
|  | const char * | theStart,
|  | const char * | theEnd
| ) | `[static]`

LDOM_XmlReader::Handle | ( | LDOM_MemManager |  | ) | `[private]`

LDOM_XmlReader& LDOM_XmlReader::operator= | ( | const LDOM_XmlReader & | theOther | ) | `[private]`

RecordType LDOM_XmlReader::ReadRecord | ( | LDOM_OSStream & | theData | ) |

## Field Documentation

char LDOM_XmlReader::myBuffer[XML_BUFFER_SIZE+4]`[private]`

LDOM_BasicElement* LDOM_XmlReader::myElement`[private]`

const char* LDOM_XmlReader::myEndPtr`[private]`

Standard_Boolean LDOM_XmlReader::myEOF`[private]`

TCollection_AsciiString& LDOM_XmlReader::myError`[private]`

int LDOM_XmlReader::myFileDes`[private]`

istream& LDOM_XmlReader::myIStream`[private]`

const LDOM_BasicNode* LDOM_XmlReader::myLastChild`[private]`

const char* LDOM_XmlReader::myPtr`[private]`

The documentation for this class was generated from the following file:

- LDOM_XmlReader.hxx